
#load xml settings configuration
[XML]$XmlConfig = Get-Content C:\scripts\Settings.xml


#company details
$CompanyName = $XmlConfig.Configuration.CompanyDetails.Company1.Name
$CompanyTel = $XmlConfig.Configuration.CompanyDetails.Company1.Tel
$CompanyEmail = $XmlConfig.Configuration.CompanyDetails.Company1.Email
$CompanyMessage = $XmlConfig.Configuration.CompanyDetails.Company1.Message

# Email settings
if($XmlConfig.Configuration.EmailSettings.Email1.Enabled -eq "true"){
    $EmailEnabled = $true   
}
else{
    $EmailEnabled = $false
}
$email = $XmlConfig.Configuration.EmailSettings.Email1.EmailAddress
$pass = $XmlConfig.Configuration.EmailSettings.Email1.Password
$smtpServer = $XmlConfig.Configuration.EmailSettings.Email1.SmtpServer

#services to monitor
$ServiceMonitorEnabled = $XmlConfig.Configuration.ServiceMonitor.Enabled 
$Services = $XmlConfig.Configuration.ServiceMonitor.Service

#check av status
$AvMonitorEnabled = $XmlConfig.Configuration.ServiceMonitor.AntiVirus.Enabled
$InstalledAntiVirus = $XmlConfig.Configuration.ServiceMonitor.AntiVirus.Name

#check dns
$ActiveNetworkAdapters = $XmlConfig.Configuration.Dns.Adapter.Name
$DnsAddress = $XmlConfig.Configuration.Dns.Address

#computer name ($Computername="my computer") DONT CHANGE
if($XmlConfig.Configuration.ComputerName.Local -eq "True"){
    $Computername=$Env:Computername
}

#max cpu temperatur celsius
$MaxCpuTemperature = $XmlConfig.Configuration.TemperatureMonitor.MaxCpuTemperature

#temp folders locations
$TempFolders = $XmlConfig.Configuration.Deletion.TempFolders.Path

#delete files old than x days in recycle bin
$RecycleBinRetentionTime = $XmlConfig.Configuration.Deletion.EmptyRecycleBin.RetentionTime

#unwanted programs (comma seperated)
$PupList = $XmlConfig.Configuration.Uninstall.Pup

#page file size (mb x installed ram e.g 6144 = 4096 * 1.5)
$pageSize = $XmlConfig.Configuration.PageFile.Size
$PageLocation = $XmlConfig.Configuration.PageFile.Location

#system restore.  hex for amount percent of total disk
if($XmlConfig.Configuration.SystemRestore.State -eq "True"){
    $SystemRestoreState = $true
}
else{
    $SystemRestoreState = $false
}
$SystemRestoreAmmount = $XmlConfig.Configuration.SystemRestore.Ammount

#power managment
$PowerPlan = $XmlConfig.Configuration.PowerManagment.PowerPlan
$MonitorOff = $XmlConfig.Configuration.PowerManagment.MonitorOff
$ComputerSleep = $XmlConfig.Configuration.PowerManagment.ComputerSleep
$screenSaver = $XmlConfig.Configuration.PowerManagment.ScreenSaver

#create scheduled tasks
$CreateSchTask = $XmlConfig.Configuration.ScheduledTaks.CreateTask.Task

#Import scheduled tasks
$SchedTaskImportParams = $XmlConfig.Configuration.ScheduledTaks.ImportTasks.Task

#persistant file copy
$PersistantFilesCopy = $XmlConfig.Configuration.CopyFiles.Persistant.File

#Copy file once
$CopyFilesOnce = $XmlConfig.Configuration.CopyFiles.CopyOnce.File

#user account control
$Uac = $XmlConfig.Configuration.Uac.Enabled

#Visual Perforamnce
#VisualPerformanceDefaults false to improve performance
if($XmlConfig.Configuration.VisualPerformanceSettings.Defaults -eq "True"){
    $VisualPerformanceDefaults = $true
}
else{
    $VisualPerformanceDefaults = $false
}

$VisualPerformanceSettings = $XmlConfig.Configuration.VisualPerformanceSettings.Reg


#uninstall windows apps
if($XmlConfig.Configuration.Uninstall.UninstallOneDrive -eq "True"){
    $UninstallOneDrive = $true
}
else{
    $UninstallOneDrive = $false
}
$RemoveWindowsCrapWare = $XmlConfig.Configuration.Uninstall.WindowsApps.App

#Disable Services
$DisabledServices = $XmlConfig.Configuration.DisableServices.Service

#disable scheduled tasks
$DisableTasks = $XmlConfig.Configuration.ScheduledTaks.DisableTasks.Task


#General Tweaks
if($XmlConfig.Configuration.GeneralTweaks.Defaults -eq "True"){
    $GeneralTweaksDefaults = $true
}
else{
    $GeneralTweaksDefaults = $false
}

$GeneralTweaks = $XmlConfig.Configuration.GeneralTweaks.Reg


#Privact Settings
#privacy defaults, false to be private
if($XmlConfig.Configuration.PrivacySettings.Defaults -eq "True"){
    $PrivacyDefaults = $true
}
else{
    $PrivacyDefaults = $false
}
$PrivacySettings = $XmlConfig.Configuration.PrivacySettings.Reg
#backgroundapps
if ($XmlConfig.Configuration.PrivacySettings.BackgroundApps.Enabled -eq "True")
{
	$BackgroundAppsPrivacy = "0"
}
else
{
	$BackgroundAppsPrivacy = "1"
}


#package Manager
$PackageManager = $XmlConfig.Configuration.PackageManager.Provider
$PackagesInstall = $XmlConfig.Configuration.PackageManager.PackagesInstall.Package
$PackagesUpdateTime = $XmlConfig.Configuration.PackageManager.PackagesUpdate.Time


